Get a coupon collection by id

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idstringRequiredformat: "uuidv4"
Id of the collection to return

Response

Coupon collection
createdAtdatetime
Datetime on which the collection was created.
defaultCouponstring
The default coupon of the collection.
idstringformat: "uuidv4"
The id of the collection.
namestringformat: "uuidv4"
The name of the collection.
remainingCouponslong
Number of coupons that have not been sent yet.
totalCouponslong
Total number of coupons in the collection.
expirationDatedatetime
Expiration date for the coupon collection in RFC3339 format.
remainingCouponsAlertinteger
If present, an email notification is going to be sent when the total number of available coupons falls below the defined threshold.
remainingDaysAlertinteger
If present, an email notification is going to be sent the defined amount of days before to the expiration date.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error